#!/bin/bash
# This file contains the commands one needs to execute to get the results.

# Compile the flag program
g++ flag_small.cpp -Wall -O3
# If gcc is used, use
# g++ -std=c++11 -fopenmp flag_small.cpp -Wall -O3



# Recomputation of the 0.384 bound
# Generating dat-s program 
./a.out -n 6 -lb -obj F_edges2__obj_BIG_384.txt

# You may solve the dat-s program by calling csdp 
# but it gets called automatically by a.out
# csdp SDP_n6_LB_F_edges2__obj_BIG_384.txt.dat-s  SDP_n6_LB_F_edges2__obj_BIG_384.txt.dat-s.result

# exact rounding dat-s program
sage -c 'load("round.sage")'


# Recomputatino of the 0.34 bound
# Generating dat-s program 
# It takes some time
./a.out -n 9 -lb -obj F_edges2__obj_BIG_9.txt -v

# called from a.out
# csdp SDP_n9_LB_F_edges2__obj_BIG_9.txt.dat-s  SDP_n9_LB_F_edges2__obj_BIG_9.txt.dat-s.result

# apprximate rounding dat-s program
sage -c 'load("rounding_Integer.sage"); round_program("SDP_n8_LB_F_edges2__obj_BIG_8.txt.dat-s",28)'

# To generate graphs on up to 9 vertices and test counts of C_5, use
# You don't actually need to solve the CSDP programs, just examining
# the objective function is fine. Also a good idea when performing the check
# is to scale the objetive function F_edges2__obj_C5.txt (the first number in the file)
# to make the objective function in dat-s file simpler 
# We performed the check once manually and did not bother to write a specail script for it
# to have it automated like the roundings, which are more important
# ./a.out -n 5 -ub -obj F_edges2__obj_C5.txt
# ./a.out -n 6 -ub -obj F_edges2__obj_C5.txt
# ./a.out -n 7 -ub -obj F_edges2__obj_C5.txt
# ./a.out -n 8 -ub -obj F_edges2__obj_C5.txt
# ./a.out -n 9 -ub -obj F_edges2__obj_C5.txt

# This performs other calculations for the paper
sage -c 'load("calculation.sage")' 

